program Normrand

	use sep
	use my_rand

	implicit none

	integer                         :: seed0
	integer                         :: id
	integer                         :: n(3)

	real, dimension(:), pointer     :: randout

	call sep_init()
	call from_par( "n", n)
	call from_par( "seed0", seed0, 196969)
	write(0,*) n

	allocate( randout(product(n)) )

	do id = 1,product(n)
		randout( id) = 255.0*( rand01(seed0) - 0.5)
	end do
	
	call to_history( "n1", n(1))
	call to_history( "n2", n(2))
	call to_history( "n3", n(3))

	call to_history( "esize", 4)
	call sep_write( randout)

	call exit(0)

end program Normrand
